package _VisualDVM.GlobalData.CompilerOption.UI;
import Common.Visual.UI_;
import Common.Visual.Tables.DBObjectRenderer;
import Common.Visual.Fonts.VisualiserFonts;
import _VisualDVM.GlobalData.CompilerOption.CompilerOption;
public class CompilerOptionParameterNameRenderer extends DBObjectRenderer {
    @Override
    public void Display() {
        if (value != null) {
            CompilerOption option = (CompilerOption) value;
            if (option.hasParameter()) {
                setFont(UI_.getTheme().Fonts.get(VisualiserFonts.TreePlain));
                setText(option.parameterName);
            } else {
                setFont(UI_.getTheme().Fonts.get(VisualiserFonts.UnknownState));
                setText("нет");
            }
        }
    }
}
